Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class ConstantPoolEntry

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

Direct Known Subclasses:
  `CPClass`, `CPConstant`, `CPFieldRef`, `CPNameAndType`, `CPRef`, `CPUTF8`

public abstract class ConstantPoolEntry extends ClassFileEntry
Abstract superclass for constant pool entries

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `CP_Class`
  `static final byte`
  `CP_Double`
  `static final byte`
  `CP_Fieldref`
  `static final byte`
  `CP_Float`
  `static final byte`
  `CP_Integer`
  `static final byte`
  `CP_InterfaceMethodref`
  `static final byte`
  `CP_Long`
  `static final byte`
  `CP_Methodref`
  `static final byte`
  `CP_NameAndType`
  `static final byte`
  `CP_String`
  `static final byte`
  `CP_UTF8`
  `protected int`
  `globalIndex`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doWrite(DataOutputStream dos)`
  `abstract boolean`
  `equals(Object obj)`
  `int`
  `getGlobalIndex()`
  `byte`
  `getTag()`
  `abstract int`
  `hashCode()`
  `protected abstract void`
  `writeBody(DataOutputStream dos)`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `getNestedClassFileEntries, objectHashCode, resolve, toString, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CP_Class

    public static final byte CP_Class
    See Also:
      - Constant Field Values

  - ### CP_Double

    public static final byte CP_Double
    See Also:
      - Constant Field Values

  - ### CP_Fieldref

    public static final byte CP_Fieldref
    See Also:
      - Constant Field Values

  - ### CP_Float

    public static final byte CP_Float
    See Also:
      - Constant Field Values

  - ### CP_Integer

    public static final byte CP_Integer
    See Also:
      - Constant Field Values

  - ### CP_InterfaceMethodref

    public static final byte CP_InterfaceMethodref
    See Also:
      - Constant Field Values

  - ### CP_Long

    public static final byte CP_Long
    See Also:
      - Constant Field Values

  - ### CP_Methodref

    public static final byte CP_Methodref
    See Also:
      - Constant Field Values

  - ### CP_NameAndType

    public static final byte CP_NameAndType
    See Also:
      - Constant Field Values

  - ### CP_String

    public static final byte CP_String
    See Also:
      - Constant Field Values

  - ### CP_UTF8

    public static final byte CP_UTF8
    See Also:
      - Constant Field Values

  - ### globalIndex

    protected int globalIndex

- ## Method Details

  - ### doWrite

    public void doWrite(DataOutputStream dos) throws IOException
    Specified by:
      `doWrite` in class `ClassFileEntry`
    Throws:
      `IOException`

  - ### equals

    public abstract boolean equals(Object obj)
    Specified by:
      `equals` in class `ClassFileEntry`

  - ### getGlobalIndex

    public int getGlobalIndex()

  - ### getTag

    public byte getTag()

  - ### hashCode

    public abstract int hashCode()
    Specified by:
      `hashCode` in class `ClassFileEntry`

  - ### writeBody

    protected abstract void writeBody(DataOutputStream dos) throws IOException
    Throws:
      `IOException`